post
/v1/edge/logs/pump/batch
https://platform.sitepro.com/v1/edge/logs/pump/batch
Submit a batch of pump logs
Sample Request Body
[ { "sitePumpID": 123, "timestamp": "2024-01-01T00:00:00.000Z", "pressure": 150, "running": true, "frequency": 60, "statusID": 0, "status": "Running" } ]
Expected responses
{ "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "result": { "type": "string", "description": "Human-readable summary of what was processed. This is generic across all reading types, and may be augmented with additional fields in the future.", "example": "Reading processed successfully." } }, "required": [ "result" ] } } } }
Related schemas
| Name | Type | Example | Description |
|---|---|---|---|
| sitePumpID | number | 123 | |
| timestamp | string | 2024-01-01T00:00:00.000Z | |
| startTimestamp | string | 2023-12-31T23:00:00.000Z | |
| frequency | number | 60 | |
| outputCurrent | number | 12.5 | |
| outputVoltage | number | 230 | |
| pressure | number | 150 | |
| suctionPressure | number | 80 | |
| vibrationLevel | number | 1.2 | |
| igbtTemperature | number | 65 | |
| capacitanceTemperature | number | 55 | |
| autoEnabled | boolean | true | |
| fault | boolean | ||
| underAlarm | boolean | ||
| running | boolean | true | |
| active | boolean | true | |
| targetConcentration | number | 10 | |
| actualConcentration | number | 9 | |
| injectionRate | number | 5 | |
| statusID | number | 2 | Possible values: 0, 1, 2, 3, 4, 5, 6, 7, 8 |
| status | string | Running |
curl -X POST -H "Authorization: Bearer <JWT_Token>" -H "Content-Type: application/json" -d '[ { "sitePumpID": 123, "timestamp": "2024-01-01T00:00:00.000Z", "pressure": 150, "running": true, "frequency": 60, "statusID": 0, "status": "Running" } ]' "https://platform.sitepro.com/v1/edge/logs/pump/batch"